const Api = {
  PORT: 5000,
  ROOT: 'http://localhost',
  API: '/api',
  AUTH: '/api/auth',
  USER: '/api/user',
  TASK: '/api/task',
  QUESTIONS: '/api/questions',
  AUTH_REGISTRATION: '/registration',
  AUTH_LOGIN: '/login',
  AUTH_LOGOUT: '/logout',
  USER_GET_PROFILE: '/profile',
  USER_PATCH_PROFILE: '/profile',
  USER_POST_PROFILE_AVATAR: '/profile-avatar',
  USER_GET_PROFILE_AVATAR: '/profile-avatar/:filename',
  USER_GET_BALANCE_DATA: '/get-balance-data',
  USER_REQUEST_WITHDRAWAL: '/request-withdrawal',
  TASK_GET_TASK_BY_ID: '/get-task/:taskId',
  TASK_GET_EXECUTION_TASKS: '/get-execution',
  TASK_GET_AVAILABLE_TASKS: '/get-available',
  TASK_START_TASK_BY_ID: '/start-task/:taskId',
  TASK_TOGGLE_TASK_TRACKER_STATUS_BY_ID: '/toggle-task-tacker-status/:taskId',
  TASK_STOP_TASK_BY_ID: '/stop-task/:taskId',
  TASK_CREATE: '/create',
  TASK_CREATE_PROPOSED: '/create-proposed',
  TASK_FINISH: '/finish-task/:taskId',
  QUESTION_GET_FOR_TASK: '/get-questions-for-task/:taskId',
  QUESTION_CHECK_BY_TASK_ID: '/check-question/:taskId',
  ACCESS_TOKEN: 'accessToken',
  JWT_ACCESS_SECRET: 'jwtAccessSecret',
  MONGO_URI: 'mongodb://mongodb:27017/money-task',
  BUCKET_NAME: 'uploads',
}
export default Api
